wxWidgets: wxPGComboBoxEditor Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxPGComboBoxEditor Class Reference

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-3.x86_64/src/wxWidgets-3.1.5/interface/wx/propgrid/editors.h>`

Inheritance diagram for wxPGComboBoxEditor:
[legend]

## Public Member Functions
| wxPGComboBoxEditor ()
virtual | ~wxPGComboBoxEditor ()
virtual wxPGWindowList | CreateControls (wxPropertyGrid *propgrid, wxPGProperty *property, const wxPoint &pos, const wxSize &size) const
| Instantiates editor controls.
virtual wxString | GetName () const
| Returns pointer to the name of the editor.
virtual void | UpdateControl (wxPGProperty *property, wxWindow *ctrl) const
| Loads value from property to the control.
virtual bool | OnEvent (wxPropertyGrid *propgrid, wxPGProperty *property, wxWindow *ctrl, wxEvent &event) const
| Handles events.
virtual bool | GetValueFromControl (wxVariant &variant, wxPGProperty *property, wxWindow *ctrl) const
| Returns value from control, via parameter variant.
virtual void | OnFocus (wxPGProperty *property, wxWindow *wnd) const
| Extra processing when control gains focus.
Public Member Functions inherited from wxPGChoiceEditor
| wxPGChoiceEditor ()
virtual | ~wxPGChoiceEditor ()
virtual void | SetValueToUnspecified (wxPGProperty *property, wxWindow *ctrl) const
| Sets value in control to unspecified.
virtual void | SetControlIntValue (wxPGProperty *property, wxWindow *ctrl, int value) const
| Sets control's value specifically from int (applies to choice etc.).
virtual void | SetControlStringValue (wxPGProperty *property, wxWindow *ctrl, const wxString &txt) const
| Sets control's value specifically from string.
virtual int | InsertItem (wxWindow *ctrl, const wxString &label, int index) const
| Inserts item to existing control.
virtual void | DeleteItem (wxWindow *ctrl, int index) const
| Deletes item from existing control.
virtual bool | CanContainCustomImage () const
| Returns true if control itself can contain the custom image.
wxWindow * | CreateControlsBase (wxPropertyGrid *propgrid, wxPGProperty *property, const wxPoint &pos, const wxSize &sz, long extraStyle) const
Public Member Functions inherited from wxPGEditor
| wxPGEditor ()
| Constructor.
virtual | ~wxPGEditor ()
| Destructor.
virtual void | DrawValue (wxDC &dc, const wxRect &rect, wxPGProperty *property, const wxString &text) const
| Draws value for given property.
virtual void | SetControlAppearance (wxPropertyGrid *pg, wxPGProperty *property, wxWindow *ctrl, const wxPGCell &appearance, const wxPGCell &oldAppearance, bool unspecified) const
| Called by property grid to set new appearance for the control.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.

## Additional Inherited Members
Public Attributes inherited from wxPGEditor
void * | m_clientData
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

## ◆ wxPGComboBoxEditor()

wxPGComboBoxEditor::wxPGComboBoxEditor | ( |  | ) |

## ◆ ~wxPGComboBoxEditor()

virtual wxPGComboBoxEditor::~wxPGComboBoxEditor | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ CreateControls()

virtual wxPGWindowList wxPGComboBoxEditor::CreateControls | ( | wxPropertyGrid * | propgrid,
|  | wxPGProperty * | property,
|  | const wxPoint & | pos,
|  | const wxSize & | size ) const
| virtual

Instantiates editor controls.

Parameters

  propgrid | wxPropertyGrid to which the property belongs (use as parent for control).
  property | Property for which this method is called.
  pos | Position, inside wxPropertyGrid, to create control(s) to.
  size | Initial size for control(s).

Remarks
  - It is not necessary to call wxEvtHandler::Bind() for interesting editor events. All events from controls are automatically forwarded to wxPGEditor::OnEvent() and wxPGProperty::OnEvent().

Reimplemented from wxPGChoiceEditor.

## ◆ GetName()

virtual wxString wxPGComboBoxEditor::GetName | ( |  | ) | const
| virtual

Returns pointer to the name of the editor.

For example, wxPGEditor_TextCtrl has name "TextCtrl". If you don't need to access your custom editor by string name, then you do not need to implement this function.

Reimplemented from wxPGChoiceEditor.

## ◆ GetValueFromControl()

virtual bool wxPGComboBoxEditor::GetValueFromControl | ( | wxVariant & | variant,
|  | wxPGProperty * | property,
|  | wxWindow * | ctrl ) const
| virtual

Returns value from control, via parameter variant.

Usually ends up calling property's StringToValue() or IntToValue(). Returns true if value was different.

Reimplemented from wxPGChoiceEditor.

## ◆ OnEvent()

virtual bool wxPGComboBoxEditor::OnEvent | ( | wxPropertyGrid * | propgrid,
|  | wxPGProperty * | property,
|  | wxWindow * | wnd_primary,
|  | wxEvent & | event ) const
| virtual

Handles events.

Returns true if value in control was modified (see wxPGProperty::OnEvent() for more information).

Remarks
  wxPropertyGrid will automatically unfocus the editor when `wxEVT_TEXT_ENTER` is received and when it results in property value being modified. This happens regardless of editor type (i.e. behaviour is same for any wxTextCtrl and wxComboBox based editor).

Reimplemented from wxPGChoiceEditor.

## ◆ OnFocus()

virtual void wxPGComboBoxEditor::OnFocus | ( | wxPGProperty * | property,
|  | wxWindow * | wnd ) const
| virtual

Extra processing when control gains focus.

For example, wxTextCtrl based controls should select all text.

Reimplemented from wxPGEditor.

## ◆ UpdateControl()

virtual void wxPGComboBoxEditor::UpdateControl | ( | wxPGProperty * | property,
|  | wxWindow * | ctrl ) const
| virtual

Loads value from property to the control.

Reimplemented from wxPGChoiceEditor.